Page MenuHomePhabricator

[Story] Investigate and add missing GENDER support to all Wikibase messages
Closed, ResolvedPublic

Description

The gender support for "you" should be discussed by people who speak the affected languages.

"I'm not sure what gender support you expect and why. Currently the {{GENDER:...}} keyword occurs only once, in the message "wikibase-mylanguagefallbackchain-babel", and I'm not even sure if it's used right. "You" occurs 74 times in Wikibase messages. I don't think all of them should have a {{GENDER:...}} keyword. We need users that are able to speak a language where this is important and tell us which words in which messages need gender support. The best way to do this is to edit all our en.json (we currently have 3 for client/lib/repo) and submit that edit as a patch to Gerrit."
https://phabricator.wikimedia.org/T90431

Event Timeline

Lucie created this task.Mar 19 2015, 2:34 PM
Lucie raised the priority of this task from to Needs Triage.
Lucie updated the task description. (Show Details)
Lucie added a subscriber: Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 2:34 PM
Lucie set Security to None.Mar 19 2015, 2:34 PM
Lucie moved this task from incoming to needs discussion or investigation on the Wikidata board.
Lucie added subscribers: Amire80, Kenrick95, thiemowmde.
Lydia_Pintscher triaged this task as Normal priority.Mar 30 2015, 10:49 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

I am unsure if understand what is meant, please clarify the request, if I am wrong.

Inside qqq, messages, there should be no need to address the user, i.e. the translator. Any "you" that appears there should be an impersonal "one" as well, and to the best of my knowledge, sentences like "[you] keep this translation short" can and should be understood as "The translation must be kept short" - so, if you want to go through these messages, better reword them in such a way than personalizing them using gender.

thiemowmde renamed this task from GENDER support of qqq documentation to [Story] Investigate and add missing GENDER support to all Wikibase messages.Nov 16 2015, 9:25 AM
thiemowmde lowered the priority of this task from Normal to Low.

Currently there is not a single use of {{GENDER:…}} in any of Wikibase's and it's components qqq messages. Mentioning "qqq" in this tickets title was a mistake.

What I originally meant was: Using GENDER is not easy. One can not simply wrap all "you" in a GENDER tag. There are also cases where it doesn't seem to make sense to wrap a "neutral" word in a GENDER tag because the word will not change with the gender in the languages you know, but will in other languages. These cases need an expert in the affected language.

Change 255679 had a related patch set uploaded (by Purodha):
Add GENDER to some messages addressing the current user

https://gerrit.wikimedia.org/r/255679

Change 312497 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Avoid addressing the user with "you" when not needed

https://gerrit.wikimedia.org/r/312497

thiemowmde moved this task from Proposed to Review on the Wikidata-Sprint-2016-09-21 board.

Change 312497 merged by jenkins-bot:
Avoid addressing the user with "you" when not needed

https://gerrit.wikimedia.org/r/312497

Is this now resolved?

Jonas closed this task as Resolved.Sep 30 2016, 8:41 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-09-21 board.